Cannot use VS extension anymore.

Having trouble running Advanced Installer? Got a bug to report? Post it all here.
Post Reply
baruchi
Posts: 5
Joined: Tue Aug 25, 2020 7:51 pm

Cannot use VS extension anymore.

Post by baruchi » Tue Sep 29, 2020 9:47 pm

Hi,
I started getting the following errors when starting VS:
The advinstvsinstegrationpackage package did not load correctly...
I tried uninstalling and reinstalling several times, restarted my pc and even followed this thread:
https://stackoverflow.com/questions/175 ... -correctly
to delete the files here:
%localappdata%\Microsoft\VisualStudio\16_xxxx\ComponentModelCache

Nothing helped.
I keep getting the same error all the time.

What can I do?

Image
Attachments
Capture.JPG
Capture.JPG (33.12 KiB) Viewed 190 times

Catalin
Posts: 3394
Joined: Wed Jun 13, 2018 7:49 am

Re: Cannot use VS extension anymore.

Post by Catalin » Thu Oct 01, 2020 2:46 pm

Hello,

Could you please give me some more details about your environment?

For instance, what version of Advanced Installer are you using? Is it our latest version, 17.5?

If that is the case, could you please check your Visual Studio and let me know if you are running the latest version? For VS2019, that would be 16.7.5. If not, could you please update your Visual Studio to the latest version and let me know if that helps?


Best regards,
Catalin
Catalin Gheorghe - Advanced Installer Team
Follow us: Twitter - Facebook - YouTube

baruchi
Posts: 5
Joined: Tue Aug 25, 2020 7:51 pm

Re: Cannot use VS extension anymore.

Post by baruchi » Thu Oct 01, 2020 6:11 pm

I run with the latest advanced installer. I also uninstalled its extension and reinstalled.
I updated VS to the latest version - that solved it

Thanks

Daniel
Posts: 8142
Joined: Mon Apr 02, 2012 1:11 pm
Contact:

Re: Cannot use VS extension anymore.

Post by Daniel » Tue Oct 06, 2020 4:34 am

Great, thank you for your follow up on this.

Most likely the related Advanced Installer issue was caused by a Visual Studio issue that is affecting us too. In previous versions of Visual Studio there is an issue with one of the SDK dependencies our VS extension uses and I can confirm you the only workaround is to update to the latest version of Visual Studio.

All the best,
Daniel
Daniel Radu - Advanced Installer Team
Follow us: Twitter - Facebook - YouTube

Post Reply